eID middleware |

# be.portugal.eid.PTEID_HashAlgo Class Reference

Class that holds the different hashing algorithm definitions. More...

List of all members.

## Public Member Functions
final int | swigValue ()
String | toString ()
## Static Public Member Functions
static PTEID_HashAlgo | swigToEnum (int swigValue)
## Static Public Attributes
static final PTEID_HashAlgo | PTEID_ALGO_MD5 = new PTEID_HashAlgo("PTEID_ALGO_MD5")
| 16 byte hash
static final PTEID_HashAlgo | PTEID_ALGO_SHA1 = new PTEID_HashAlgo("PTEID_ALGO_SHA1")
| 20 byte hash

## Detailed Description

Class that holds the different hashing algorithm definitions.

## Member Function Documentation

static PTEID_HashAlgo be.portugal.eid.PTEID_HashAlgo.swigToEnum | ( | int | swigValue | ) | `[static]`

final int be.portugal.eid.PTEID_HashAlgo.swigValue | ( |  | ) |

String be.portugal.eid.PTEID_HashAlgo.toString | ( |  | ) |

## Member Data Documentation

final PTEID_HashAlgo be.portugal.eid.PTEID_HashAlgo.PTEID_ALGO_MD5 = new PTEID_HashAlgo("PTEID_ALGO_MD5")`[static]`

16 byte hash

final PTEID_HashAlgo be.portugal.eid.PTEID_HashAlgo.PTEID_ALGO_SHA1 = new PTEID_HashAlgo("PTEID_ALGO_SHA1")`[static]`

20 byte hash